<div class="container-fluid d-flex justify-content-between bg-light border-bottom  mb-2">
  <nav class="navbar navbar-expand-lg navbar-light w-100">
    <a class="navbar-brand" href="/">
      <img src="/images/edgar75.png"
        title="Ho, ho, ho..."
        style="margin-left: 10px; margin-right: 30px;">
    </a>

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerEdgar">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarTogglerEdgar">

      <ul class="nav navbar-nav w-100">
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
            Exams
          </a>
          <div class="dropdown-menu">
            <a class="dropdown-item" href="/test/instances">
              <i class="fas fa-list-alt"></i>&nbsp;My previous exams
            </a>
            <a class="dropdown-item" href="/ticket/mytickets">
              <i class="fas fa-tools"></i>&nbsp;My tickets
            </a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/test/def/list">
              <i class="fas fa-edit"></i>&nbsp;Exam definitions
            </a>
            <a class="dropdown-item" href="/test/instances/list">
              <i class="fa fa-2 fa-eye"></i>&nbsp;All exam instances
            </a>
            <a class="dropdown-item" href="/test/pa/whoiswho">
              <i class="fa fa-2 fa-eye"></i>&nbsp;Peer Assessment -> who is who?
            </a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/test/instances/dumpcsv">
              <i class="fas fa-cloud-download-alt"></i>&nbsp;Export students' scores
            </a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/lecture/def/list">
              <i class="fas fa-edit"></i>&nbsp;Quiz definitions
            </a>
            <a class="dropdown-item" href="/lecture/instances/list">
              <i class="fa fa-2 fa-eye"></i>&nbsp;All quiz instances
            </a>
            <a class="dropdown-item" href="/lecture/startteacher">
              <i class="fas fa-play-circle"></i>&nbsp;Start lecture quiz
            </a>
          </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
            Learn
          </a>
          <div class="dropdown-menu">
            <a class="dropdown-item" href="/tutorial/def/new">New tutorial</a>
            <a class="dropdown-item" href="/tutorial/def">Tutorial definition</a>

            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/exercise/def/new">New exercise</a>
            <a class="dropdown-item" href="/exercise/def">Exercise definition</a>
            <a class="dropdown-item" href="/exercise">Start exercise</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/feedback">Feedback</a>
          </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
            Questions
          </a>
          <div class="dropdown-menu">
            <a class="dropdown-item" href="/question/new">New question</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/question">List (all), and edit </a>
            <a class="dropdown-item" href="/question/search">Search</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/node/vis">Course structure: node graph & edit</a>
            <a class="dropdown-item" href="/node/questions">Course structure: assign questions to nodes & vv</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/node/vistree">Course structure(read only): Node tree vis</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/course/dataobject">Course's data object</a>

          </div>
        </li>


        <% if (session.usesMobileApp || session.showCodeMirror) { %>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
            Preferences
          </a>
          <div class="dropdown-menu">
            <% if (session.showCodeMirror) { %>
            <a class="dropdown-item" href="/prefs/cmskin">CodeMirror skin</a>
            <% } %>
            <% if (session.usesMobileApp) { %>
            <a class="dropdown-item" href="/token/view">Mobile App Token</a>
            <% } %>
          </div>
        </li>
        <% } %>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
            Playground
          </a>
          <div class="dropdown-menu">
            <a class="dropdown-item" href="/playground/sandbox">Code sandbox</a>
            <a class="dropdown-item" href="/playground/snippet/store">Snippet store</a>
          </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
            Analytics
          </a>
          <div class="dropdown-menu">
            <a class="dropdown-item" href="/analytics/tests/single">Exam Analytics</a>
            <a class="dropdown-item" href="/analytics/score">Exam Score Distribution Analytics (+per class groups)</a>
            <a class="dropdown-item" href="/analytics/questions/bulk">Questions Analytics</a>
            <a class="dropdown-item" href="/analytics/behaviour">Student Behaviour Analytics</a>
            <a class="dropdown-item" href="/analytics/plagiarismdetection">Plagiarism detection</a>
            <a class="dropdown-item" href="/analytics/time-dependent-plagiarism">Time dependent plagiarism detection</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/analytics/scatterstudents">Students Scatter</a>
            <a class="dropdown-item" href="/analytics/highscore">High Score List</a>
          </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
            Administration
          </a>
          <div class="dropdown-menu">
            <a class="dropdown-item" href="/admin/student/upload">Upload students</a>
            <a class="dropdown-item" href="/admin/student/faces">Upload images (faces)</a>
            <a class="dropdown-item" href="/admin/student/list">Students (list)</a>
            <a class="dropdown-item" href="/admin/teacher/list">Teachers (list)</a>
            <a class="dropdown-item" href="/admin/user/list">Users (list)</a>
            <a class="dropdown-item" href="/admin/logs">Logs (Edgar)</a>
            <!-- <a class="dropdown-item" href="/admin/logs/nginx">Logs (Nginx)</a> -->
            <hr>
              <a class="dropdown-item" href="/admin/onlineusers">Who's online?</a>
            </div>
        </li>

        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
            Help
          </a>
          <div class="dropdown-menu">
            <a class="dropdown-item" href="/help/glossary">Glossary</a>
            <a class="dropdown-item" href="/help/faq">FAQ (hey, read the FAQ!)</a>
            <hr>
            <a class="dropdown-item" href="/help/examform">Exam form</a>
            <hr>
            <a class="dropdown-item" href="/help/questionops">Question operations (Save, Save in place, Clone, Delete)</a>
            <a class="dropdown-item" href="/help/questionedit">Question form</a>
            <a class="dropdown-item" href="/help/questiontemplate">Templated questions</a>
            <a class="dropdown-item" href="/help/questionscript">Scripted questions</a>
            <a class="dropdown-item" href="/help/questiongraderobject">Question grader for manual grading</a>
            <hr>
            <a class="dropdown-item" href="/help/pa">Peer Assessment</a>
            <a class="dropdown-item" href="/help/ticketing">Ticketing system</a>
            <a class="dropdown-item" href="/help/manualgrading">Manual grading</a>
            <hr>
            <a class="dropdown-item" href="/help/tutorials">Tutorials</a>
          </div>
        </li>

        <li class="nav-item dropdown border rounded" style="margin-left: auto;">
          <% for (var i = 0; i
          < session.courses.length; ++i) { %>
          <% if (session.courses[i].id === session.currCourseId) { %>
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
            <%=  session.courses[i].course_acronym %>
          </a>
          <% break; %>
          <% } %>
          <% } %>
          <div class="dropdown-menu">
            <% for (var i = 0; i
            < session.courses.length; ++i) { %>
            <a class="dropdown-item" href="/course/<%=session.courses[i].id%>">
              <%=  session.courses[i].course_name %>
            </a>
            <% } %>
          </div>
        </li>
        <li class="nav-item dropdown border rounded">

          <% for (var i = 0; i
          < session.academicYears.length; ++i) { %>
          <% if (session.academicYears[i].id === session.currAcademicYearId) { %>
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
            <%=  session.academicYears[i].title %>
          </a>
          <% break; %>
          <% } %>
          <% } %>

          <div class="dropdown-menu">
            <% for (var i = 0; i
            < session.academicYears.length; ++i) { %>
            <a class="dropdown-item" href="/acdmyear/<%=session.academicYears[i].id%>">
              <%=  session.academicYears[i].title %>
            </a>
            <% } %>
          </div>
        </li>

      </ul>
    </nav>

    <div class="d-flex align-items-center ml-5">

      <div class="profilepic">
        <img height="75" class="rounded-circle" src="<%=  session.imgSrc %>">
      </div>

      <div style="min-width: 120px;">
        <div><%=  session.fullname %></div>
        <div><mark><%=  session.rolename %></mark></div>
        <div><small>IP:<%=  locals.ip %></small></div>
        <div><small>Instance: <%= global.appInstance + '@' + global.hostname  %></small></div>
      </div>
      <div>
        <form action="/auth/logout" method="POST">
          <button class="btn btn-outline-success" type="submit">Logout</button>
        </form>
      </div>

    </div>


</div>


<%if (locals.infoFlash) {%>

  <div class="container-fluid">
    <div class="text-center alert alert-info">
      <%-locals.infoFlash%>
    </div>
  </div>
  <%}%><%if (locals.errorFlash) {%>
    <div class="container-fluid">
      <div class="text-center alert alert-danger">
        <%-locals.errorFlash%>
    </div>
    </div>
<%}%>
<%if (locals.globalWarningMessage) {%>
  <div class="container-fluid">
    <div class="text-center alert alert-warning">
      <%-locals.globalWarningMessage%>
    </div>
  </div>
<%}%>


